%define module_name Net-Kafka
# BEGIN SourceDeps(oneline):
BuildRequires: librdkafka-devel libsowing-devel perl(AnyEvent.pm) perl(AnyEvent/XSPromises.pm) perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/PkgConfig.pm) perl(IO/Handle.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.06
Release: alt4
Summary: High-performant Perl client for Apache Kafka
Group: Development/Perl
License: perl
URL: https://github.com/bookingcom/perl-Net-Kafka

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AM/AMIRONOV/%{module_name}-%{version}.tar.gz

%description
This module provides Perl bindings to librdkafka C client library (https://github.com/edenhill/librdkafka).
It is heavily inspired by Kafka::Librd module originally developed by Pavel Shaydo (https://github.com/trinitum/perl-Kafka-Librd).

Please refer to the following modules documentation in order to understand how to use it:

=over

=item *
`Net::Kafka::Producer' - asynchronous producer interface

=item *
`Net::Kafka::Consumer' - consumer interface that supports both Simple and Distributed modes

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.md
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.06-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.06-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.06-alt2
- rebuild with perl 5.30

* Wed Oct 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1
- updated by package builder

* Sun Oct 27 2019 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- initial import by package builder

